Curt Hibbs wrote:

> This is too simple. RubyGems should also check that the proper version is
> installed.
> 
> I think that RubyGems should optionally allow the user to inform it of a
> manual installation when a gem is not found, prompting the user for the need
> information (like version number installed). That particular gem would then
> be entered into its gem-database as having been installed manually for
> future use.
> 
> Correspondingly, there should be an option to remove such a
> manual-installation-entry from the RubyGems database.

I was thinking along these same lines.

-- 
-- Jim Weirich       jweirich / one.net      http://onestepback.org
-----------------------------------------------------------------
"Beware of bugs in the above code; I have only proved it correct,
not tried it." -- Donald Knuth (in a memo to Peter van Emde Boas)